Skip to main content
GET
/
agents
/
{agent_id}
/
documents
List Documents
curl --request GET \
  --url https://api.example.com/agents/{agent_id}/documents \
  --header 'Authorization: Bearer <token>'
{
  "agent_id": "<string>",
  "documents": [
    {
      "document_id": "<string>",
      "filename": "<string>",
      "content_type": "<string>",
      "checksum": "<string>",
      "created_at": "<string>",
      "size": 123
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Response

Successful Response

Response for document list.

agent_id
string
required
documents
DocumentMetadata · object[]
required
total
integer
required